Bug 496606 - Review Request: perl-Log-LogLite - Create simple logs
Review Request: perl-Log-LogLite - Create simple logs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On: 496890
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-20 06:31 EDT by Xavier Bachelot
Modified: 2009-05-09 00:13 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.82-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 17:29:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2009-04-20 06:31:12 EDT
Spec URL: http://www.bachelot.org/fedora/SPECS/perl-Log-LogLite.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/perl-Log-LogLite-0.82-1.fc10.src.rpm
Description: The Log::LogLite class helps create simple logs for applications.
Comment 1 Susi Lehtola 2009-04-20 16:20:02 EDT
rpmlint output is clean.

Provides are sane:
perl(Log::LogLite) = 0.82
perl(Log::NullLogLite) = 0.82
perl-Log-LogLite = 0.82-1.fc10

Requires:
perl(:MODULE_COMPAT_5.10.0)  
perl(Carp)  
perl(IO::LockedFile) >= 0.21
perl(Log::LogLite)  
perl(strict)  
perl(vars)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1


MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK

MUST: The License field in the package spec file must match the actual license. NEEDSFIX
- According to README:
   This package is free software; you can redistribute it and/or 
   modify it under the same terms as Perl itself.
- License of Perl is: (GPL+ or Artistic) and (GPLv2+ or Artistic)
- Please contact upstream and ask them to clarify license.

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: Optflags are used and time stamps preserved. OK

MUST: A package must own all directories that it creates or require the package that owns the directory. OK
/usr/lib/perl5/vendor_perl/5.10.0/Log
/usr/lib/perl5/vendor_perl/5.10.0/Log/LogLite.pm
/usr/lib/perl5/vendor_perl/5.10.0/Log/NullLogLite.pm
/usr/share/doc/perl-Log-LogLite-0.82
/usr/share/doc/perl-Log-LogLite-0.82/Changes
/usr/share/doc/perl-Log-LogLite-0.82/README
/usr/share/man/man3/Log::LogLite.3pm.gz
/usr/share/man/man3/Log::NullLogLite.3pm.gz

MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
Comment 2 Xavier Bachelot 2009-04-20 16:50:54 EDT
Thanks for the review Jussi.

(In reply to comment #1) 
> MUST: The License field in the package spec file must match the actual license.
> NEEDSFIX
> - According to README:
>    This package is free software; you can redistribute it and/or 
>    modify it under the same terms as Perl itself.
> - License of Perl is: (GPL+ or Artistic) and (GPLv2+ or Artistic)

The perl license is GPL+ or Artistic, according to http://fedoraproject.org/wiki/Packaging/Perl#License_tag

Why do you say it should be (GPL+ or Artistic) and (GPLv2+ or Artistic) ? I never saw that until today.
Comment 3 Susi Lehtola 2009-04-20 16:56:43 EDT
(In reply to comment #2)
> (In reply to comment #1) 
> > MUST: The License field in the package spec file must match the actual license.
> > NEEDSFIX
> > - According to README:
> >    This package is free software; you can redistribute it and/or 
> >    modify it under the same terms as Perl itself.
> > - License of Perl is: (GPL+ or Artistic) and (GPLv2+ or Artistic)
> 
> The perl license is GPL+ or Artistic, according to
> http://fedoraproject.org/wiki/Packaging/Perl#License_tag
> 
> Why do you say it should be (GPL+ or Artistic) and (GPLv2+ or Artistic) ? I
> never saw that until today.  

Okay, I missed the guideline on that one. Thanks.

rpm -qi perl states: License: (GPL+ or Artistic) and (GPLv2+ or Artistic). Maybe it's a bug in the perl RPM...?


The package has been

APPROVED
Comment 4 Xavier Bachelot 2009-04-20 17:07:19 EDT
Oh, ok, I understand now. The perl spec file says :
# Modules Tie::File and Getopt::Long are licenced under "GPLv2+ or Artistic,"
# we have to reflect that in the sub-package containing them.
License:        (GPL+ or Artistic) and (GPLv2+ or Artistic)

perl itself is GPL+ or Artistic, only some sub-packages are GPLv2+ or Artistic, but this needs to be reflected on the package as a whole. But when a module is released under the same license as perl, then the correct license is GPL+ or Artistic.

New Package CVS Request
=======================
Package Name: perl-Log-LogLite
Short Description: Create simple logs
Owners: xavierb
Branches: F-9 F-10 F-11 EL-5
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2009-04-23 12:46:16 EDT
cvs done.
Comment 6 Fedora Update System 2009-04-23 17:28:00 EDT
perl-Log-LogLite-0.82-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Log-LogLite-0.82-1.fc9
Comment 7 Fedora Update System 2009-04-23 17:28:04 EDT
perl-Log-LogLite-0.82-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Log-LogLite-0.82-1.fc10
Comment 8 Fedora Update System 2009-04-23 17:28:08 EDT
perl-Log-LogLite-0.82-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Log-LogLite-0.82-1.fc11
Comment 9 Fedora Update System 2009-04-27 17:29:34 EDT
perl-Log-LogLite-0.82-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-04-27 17:33:56 EDT
perl-Log-LogLite-0.82-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-05-09 00:13:46 EDT
perl-Log-LogLite-0.82-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.